#!/usr/bin/python
#
# Core code credit: Simple downloading with progress indicator, by Cees Timmerman, 16mar12.
# Modified for GOES downloader by Jeff Kelly K2SDR
# Modified for GOES Resizing by Usradioguy.com 2020

import os
import urllib2
import time
import ssl
import sys
from PIL import Image
#next line for MAC
ssl._create_default_https_context = ssl._create_unverified_context
timestr1 = time.strftime("Download Date:%m%d%Y Time:%H%M")
print ""
print timestr1
timestr = time.strftime("%m%d%Y_%H%M")
cwd = os.getcwd()
path = (cwd + "/")
print path
file_name = "temp.jpg"
print file_name


def goes_conus(file_name):

	remote = r"https://kiwiweather.com/gk-2a/sanchez.jpg"
        local = path + file_name

        u = urllib2.urlopen(remote)
        h = u.info()
        totalSize = int(h["Content-Length"])

        print "Downloading %s bytes..." % totalSize,
        fp = open(local, 'wb')

        blockSize = 8192 #100000 # urllib.urlretrieve uses 8192
        count = 0
        while True:
            chunk = u.read(blockSize)
            if not chunk: break
            fp.write(chunk)
            count += 1
            if totalSize > 0:
                percent = int(count * blockSize * 100 / totalSize)
                if percent > 100: percent = 100
                print "%2d%%" % percent,
                if percent < 100:
                    print "\b\b\b\b\b",  # Erase "NN% "
                else:
                    print "Done."

        fp.flush()
        fp.close()
        if not totalSize:
            print
        print ""
        print "Done downloading."

def resize(file_name):
        print ""
        print "Resizing Image to 1080x1080."
	image = Image.open(path + file_name)
	rsimg = image.resize((1080, 1080))
	rsimg.save("/home/pi/images/goes_GK2A.jpg")
        print ""
        print "Done."


goes_conus(file_name)
resize(file_name)

